Enable the email OTP

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /auth/email-otp

Enable the authentication with a one-time password (OTP) sent by email. Give the code that the user got by email to confirm this operation. When the user already has a second factor, give one of them too (totp, fido_authentication_response or recovery_code).

application/json

Body Required

  • email_otp string Required

    One-time password that the user got by email

    Minimum length is 1.

  • totp string

    TOTP code from the authenticator app

  • fido_authentication_response object

    Response of the FIDO device to the challenge

  • recovery_code string

    One recovery code of the user

Responses

  • 200

    The email OTP is enabled

  • 400

    The email OTP is already enabled, the code is wrong (wrong_OTP), or the second factor is missing or wrong (wrong_existing_OTP)

  • 403

    The token belongs to a bot

POST /auth/email-otp
curl -X POST "http://api.example.com/auth/email-otp" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "email_otp": ""
}'
import requests

url = "http://api.example.com/auth/email-otp"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "email_otp": ""
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "email_otp": "string",
  "totp": "string",
  "fido_authentication_response": {},
  "recovery_code": "string"
}